{
  "providerId": "MethodSelfcallDirectives",
  "method": "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.eGet(IZZ)Ljava/lang/Object;",
  "numberOfDefinitions": 12,
  "calls": {
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.isFinalSpecialization()Z": 6,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eDynamicGet(IZZ)Ljava/lang/Object;": 6,
    "Lorg/eclipse/uml2/common/util/SubsetSupersetEObjectWithInverseResolvingEList$ManyInverse.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I[I[II)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getAttributes()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.eNotificationRequired()Z": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getClientDependencies()Lorg/eclipse/emf/common/util/EList;": 5,
    "Lorg/eclipse/emf/ecore/InternalEObject.eInverseRemove(Lorg/eclipse/emf/ecore/InternalEObject;ILjava/lang/Class;Lorg/eclipse/emf/common/notify/NotificationChain;)Lorg/eclipse/emf/common/notify/NotificationChain;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getRedefinedElements()Lorg/eclipse/emf/common/util/EList;": 6,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getTemplateParameter()Lorg/eclipse/uml2/uml/TemplateParameter;": 6,
    "Lorg/eclipse/uml2/common/util/SubsetSupersetEObjectWithInverseResolvingEList.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I[I[II)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getOwner()Lorg/eclipse/uml2/uml/Element;": 6,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.get(Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;)Ljava/lang/Object;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getCollaborationUses()Lorg/eclipse/emf/common/util/EList;": 6,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eResource()Lorg/eclipse/emf/ecore/resource/Resource;": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getOwnedTemplateSignature()Lorg/eclipse/uml2/uml/TemplateSignature;": 6,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eResolveProxy(Lorg/eclipse/emf/ecore/InternalEObject;)Lorg/eclipse/emf/ecore/EObject;": 3,
    "Lorg/eclipse/emf/ecore/impl/ENotificationImpl.\u003cinit\u003e(Lorg/eclipse/emf/ecore/InternalEObject;IILjava/lang/Object;Ljava/lang/Object;)V": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.eGet(IZZ)Ljava/lang/Object;": 6,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getFeatures()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getRedefinitionContexts()Lorg/eclipse/emf/common/util/EList;": 6,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.basicGetPackage()Lorg/eclipse/uml2/uml/Package;": 6,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getUseCases()Lorg/eclipse/emf/common/util/EList;": 6,
    "Lorg/eclipse/emf/ecore/util/EObjectContainmentEList.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I)V": 6,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getMembers()Lorg/eclipse/emf/common/util/EList;": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.basicGetOwnedTemplateSignature()Lorg/eclipse/uml2/uml/TemplateSignature;": 6,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.put(Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;Ljava/lang/Object;)Ljava/lang/Object;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getVisibility()Lorg/eclipse/uml2/uml/VisibilityKind;": 6,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.basicGetOwner()Lorg/eclipse/uml2/uml/Element;": 6,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getPackage()Lorg/eclipse/uml2/uml/Package;": 6,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getOwnedRules()Lorg/eclipse/emf/common/util/EList;": 6,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getNameExpression()Lorg/eclipse/uml2/uml/StringExpression;": 6,
    "Lorg/eclipse/uml2/uml/internal/operations/AssociationOperations.getEndTypes(Lorg/eclipse/uml2/uml/Association;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.get(Lorg/eclipse/emf/ecore/resource/Resource;Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;)Ljava/lang/Object;": 5,
    "Lorg/eclipse/emf/ecore/util/EObjectResolvingEList.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.basicGetTemplateParameter()Lorg/eclipse/uml2/uml/TemplateParameter;": 6,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getGenerals()Lorg/eclipse/emf/common/util/EList;": 6,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getImportedMembers()Lorg/eclipse/emf/common/util/EList;": 6,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getGeneralizations()Lorg/eclipse/emf/common/util/EList;": 6,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getElementImports()Lorg/eclipse/emf/common/util/EList;": 6,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getRepresentation()Lorg/eclipse/uml2/uml/CollaborationUse;": 6,
    "Lorg/eclipse/emf/ecore/impl/EModelElementImpl.getEAnnotations()Lorg/eclipse/emf/common/util/EList;": 6,
    "Lorg/eclipse/emf/ecore/util/EObjectContainmentEList$Resolving.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I)V": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getOwnedUseCases()Lorg/eclipse/emf/common/util/EList;": 6,
    "Lorg/eclipse/uml2/common/util/SubsetSupersetEObjectResolvingEList.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I[I[I)V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getOwnedElements()Lorg/eclipse/emf/common/util/EList;": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getPowertypeExtents()Lorg/eclipse/emf/common/util/EList;": 6,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.isAbstract()Z": 6,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getPackageImports()Lorg/eclipse/emf/common/util/EList;": 6,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.put(Lorg/eclipse/emf/ecore/resource/Resource;Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;Ljava/lang/Object;)Ljava/lang/Object;": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.basicGetNamespace()Lorg/eclipse/uml2/uml/Namespace;": 6,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getOwningTemplateParameter()Lorg/eclipse/uml2/uml/TemplateParameter;": 6,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getTemplateBindings()Lorg/eclipse/emf/common/util/EList;": 6,
    "Lorg/eclipse/emf/ecore/InternalEObject.eInverseAdd(Lorg/eclipse/emf/ecore/InternalEObject;ILjava/lang/Class;Lorg/eclipse/emf/common/notify/NotificationChain;)Lorg/eclipse/emf/common/notify/NotificationChain;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getOwnedMembers()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.eNotify(Lorg/eclipse/emf/common/notify/Notification;)V": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.basicGetRepresentation()Lorg/eclipse/uml2/uml/CollaborationUse;": 6,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getNamespace()Lorg/eclipse/uml2/uml/Namespace;": 6,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getSubstitutions()Lorg/eclipse/emf/common/util/EList;": 6,
    "Lorg/eclipse/emf/ecore/util/EObjectContainmentWithInverseEList$Resolving.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;II)V": 2,
    "Lorg/eclipse/uml2/common/util/DerivedUnionEObjectEList.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I[I)V": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.basicGetNameExpression()Lorg/eclipse/uml2/uml/StringExpression;": 6,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.isLeaf()Z": 6,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getCacheAdapter()Lorg/eclipse/uml2/common/util/CacheAdapter;": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getRedefinedClassifiers()Lorg/eclipse/emf/common/util/EList;": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getInheritedMembers()Lorg/eclipse/emf/common/util/EList;": 6,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getOwnedComments()Lorg/eclipse/emf/common/util/EList;": 6,
    "Lorg/eclipse/uml2/common/util/SubsetSupersetEObjectContainmentEList$Resolving.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I[I[I)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.basicGetOwningTemplateParameter()Lorg/eclipse/uml2/uml/TemplateParameter;": 6,
    "Lorg/eclipse/uml2/common/util/SubsetSupersetEObjectContainmentWithInverseEList$Resolving.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I[I[II)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getQualifiedName()Ljava/lang/String;": 6,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getName()Ljava/lang/String;": 6
  }
}